Package org.kapott.hbci.tools

# Class NumberUtil

java.lang.Object
org.kapott.hbci.tools.NumberUtil

public class NumberUtil extends Object
Hilfsmethoden fuer das Handling mit Zahlen.

## Constructor Summary

Constructors
Constructor
Description
`NumberUtil()`

## Method Summary

Modifier and Type
Method
Description
`static int`
`parseInt(String s, int defaultValue)`
Parst den Text als Zahl.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### NumberUtil

public NumberUtil()

## Method Details

### parseInt

public static int parseInt(String s, int defaultValue)
Parst den Text als Zahl. Die Funktion wirft keine Exception. Weder bei NULL noch bei einer nicht zu parsenden Zahl. In dem Fall wird der Default-Wert geliefert.

Parameters:
  `s` - der zu parsende String.
  `defaultValue` - der Default-Wert.
Returns:
  der geparste Wert oder der Default-Wert.